<?php

namespace Database\Seeders;

use App\Models\Credit;
use App\Models\User;
use Illuminate\Database\Seeder;

class CreditSeeder extends Seeder
{
    public function run(): void
    {
        $users = User::excludeAdmin()->get();
        foreach ($users as $user) {
            Credit::factory()
                ->create(['user_id' => $user->id]);
        }
    }
}
